UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
com.latencybusters.pdm.PDMMessageHeader Class Reference

The message header is the class used internally to represent the header of a PDM message. More...

## Public Member Functions
virtual byte[] | toBytes (PDMSerializer ser)
| Serializes this object to a new byte array. More...
virtual int | toBytes (PDMSerializer ser, byte[] ba, int pos)
| Serializes this object to an existing byte array at position. More...
virtual int | parse (PDMDeserializer deser, byte[] ba, int pos)
| Parses the byte array at position into this object. More...

## Properties
virtual sbyte | PDMProtocolVersion`[get, set]`
virtual sbyte | MsgType`[get, set]`
virtual int | MsgLen`[get, set]`
virtual int | DefnId`[get, set]`
virtual sbyte | NextHeaderType`[get, set]`
virtual sbyte | MsgVersMajor`[get, set]`
virtual sbyte | MsgVersMinor`[get, set]`

## Detailed Description

The message header is the class used internally to represent the header of a PDM message.

## Member Function Documentation

virtual int com.latencybusters.pdm.PDMMessageHeader.parse | ( | PDMDeserializer | deser,
|  | byte[] | ba,
|  | int | pos
| ) |  |
| virtual

Parses the byte array at position into this object.

Returns
  the updated position in the byte array after parsing this object

References com.latencybusters.pdm.PDMDeserializer.readByte(), com.latencybusters.pdm.PDMDeserializer.readInt(), and com.latencybusters.pdm.PDMDeserializer.setByteSwap().

Referenced by com.latencybusters.pdm.PDMMessage.parse().

virtual byte [] com.latencybusters.pdm.PDMMessageHeader.toBytes | ( | PDMSerializer | ser | ) |
| virtual

Serializes this object to a new byte array.

Returns
  the new byte array

Referenced by com.latencybusters.pdm.PDMMessage.getFields().

virtual int com.latencybusters.pdm.PDMMessageHeader.toBytes | ( | PDMSerializer | ser,
|  | byte[] | ba,
|  | int | pos
| ) |  |
| virtual

Serializes this object to an existing byte array at position.

Returns
  the updated position in the byte array after serializing this object

References com.latencybusters.pdm.PDMSerializer.writeByte(), com.latencybusters.pdm.PDMSerializer.writeInt(), and com.latencybusters.pdm.PDMSerializer.writeUInt().

The documentation for this class was generated from the following file:

- PDMMessageHeader.cs